Bug 483594 - FEAT: RHEL 5.4 - update ALSA HDA audio driver from upstream
FEAT: RHEL 5.4 - update ALSA HDA audio driver from upstream
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity medium
: rc
: 5.4
Assigned To: Jaroslav Kysela
Red Hat Kernel QE team
: FutureFeature, HardwareEnablement, OtherQA
: 478353 483268 495725 (view as bug list)
Depends On:
Blocks: 499437 455999 467301 467302 472178 473949 483268 483271 483701 485920 504846
  Show dependency treegraph
 
Reported: 2009-02-02 10:37 EST by Jaroslav Kysela
Modified: 2010-10-23 03:24 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 373201 405031 478353 483271 (view as bug list)
Environment:
Last Closed: 2009-09-02 04:25:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
HDA update patch (3rd version) (729.14 KB, patch)
2009-03-19 09:33 EDT, Jaroslav Kysela
no flags Details | Diff
Fix snd_pci_quirk_lookup() function (1.33 KB, patch)
2009-04-23 11:39 EDT, Jaroslav Kysela
no flags Details | Diff
Second patch for snd_pci_quirk_lookup() problem (1.96 KB, patch)
2009-04-23 13:30 EDT, Jaroslav Kysela
no flags Details | Diff

  None (edit)
Description Jaroslav Kysela 2009-02-02 10:37:12 EST
Update the ALSA HDA audio driver with upstream code to enable or improve support for new chipsets and HDA audio codecs (mostly integrated on current motherboards and in notebooks).
Comment 2 RHEL Product and Program Management 2009-02-16 10:05:52 EST
Updating PM score.
Comment 3 Peter Martuccelli 2009-02-17 11:24:55 EST
Removed 447297 from the depends on field as it causes problems with the R5.4
prioritized kernel list query.
Comment 4 Larry Troan 2009-03-04 07:48:40 EST
From bug 483271.....
> As long as the latest stable release of the alsa-driver (from sourceforge.net)
> fixes this then the hda_intel driver update for 5.4 should resolve this issue
> as well.
> 
> Can you build and test the lastest alsa-driver (stable from sourceforge.net)
> with the current RHEL5 kernel and verify it resolve the issue?

alsa-driver-2.6.17 produces sound on front output but alsamixer fails (same
behavior as current kernel with my patch applied)

So I tried with alsa-driver-2.6.19 and it works as expected, both the mixer and
the front output work.
Comment 5 Larry Troan 2009-03-05 14:59:02 EST
Jaroslav, can you build a test kernel with the alsa-driver-2.6.19 so we can have a customer test it to see if it resolves their problems? I can put it on my people page if necessary.
Comment 10 Jaroslav Kysela 2009-03-06 12:58:00 EST
2nd test version (64-bit kernel was tested on my laptop - seems OK now):

http://people.redhat.com/jkysela/RHEL5/kernel-2.6.18-133.el5hda54_2.i686.rpm
http://people.redhat.com/jkysela/RHEL5/kernel-2.6.18-133.el5hda54_2.x86_64.rpm

Patch (large!) is available here:

http://people.redhat.com/jkysela/RHEL5/0001-Subject-RHEL-5.4-PATCH-ALSA-HDA-driver-update-2.patch

Note: The snd-hda-intel kernel module cannot be unloaded (not serious issue to prevent further testing). I will fix this issue in third test of update after few days to let other people test this update on their machines. The mentioned patch already has a fix for it.
Comment 18 Matthias Strelow 2009-03-10 19:00:38 EDT
Test Kernel works for us on FSC E5730!
System comes up and Sound works on front jack, rear jack and internal speaker.
My collegue who did the tests reports crash of system-config-soundcard when trying to record audio and sporadic kernel panics at boot time.
Comment 19 Jaroslav Kysela 2009-03-11 03:17:12 EDT
Matthias, could you attach panic messages and do also basic recording tests using 'arecord -f cd a.wav' on command line?
Comment 20 Matthias Strelow 2009-03-11 16:37:32 EDT
(In reply to comment #19)
> Matthias, could you attach panic messages and do also basic recording tests
> using 'arecord -f cd a.wav' on command line?  
I won't be in the office before monday. I asked my collegue (Chris) to add these information.
Comment 22 Jaroslav Kysela 2009-03-12 10:55:58 EDT
Third test kernel is available here:

http://people.redhat.com/jkysela/RHEL5/kernel-2.6.18-133.el5hda54_3.i686.rpm
http://people.redhat.com/jkysela/RHEL5/kernel-2.6.18-133.el5hda54_3.x86_64.rpm

It should solve issues with module unloading (reboot oops/panic problems) and enables PC Beep on ALC662/663 codecs.
Comment 25 Chris Weiligmann 2009-03-13 10:13:12 EDT
the third test kernel works for us on FSC E5730!
System comes up and Sound works on front jack, rear jack and internal speaker.

With the third test kernel the kernel panics do not appear.
No more freeze system-config-soundcard after installing the third kernel.

Thanks all.
Comment 26 Jeremy West 2009-03-18 12:19:29 EDT
*** Bug 483268 has been marked as a duplicate of this bug. ***
Comment 29 Jaroslav Kysela 2009-03-19 09:33:19 EDT
Created attachment 335846 [details]
HDA update patch (3rd version)
Comment 31 Don Zickus 2009-03-30 17:11:34 EDT
in kernel-2.6.18-137.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 33 Bhavna Sarathy 2009-04-14 15:26:01 EDT
*** Bug 495725 has been marked as a duplicate of this bug. ***
Comment 35 Peter Martuccelli 2009-04-22 13:56:31 EDT
*** Bug 473949 has been marked as a duplicate of this bug. ***
Comment 37 John Brown 2009-04-22 16:28:47 EDT
The kernel Don mentions in comment #31 does not correctly enable onboard audio
on the platform for which we requested the quirk in comment #6 of bug #473949 (which was marked as a duplicate of this bug).  I have included the quirk request again here for convenience:

SND_PCI_QUIRK(0x103c, 0x170B, "HP xw*", ALC262_HP_BPC)

I can either re-open #473949 or we can just keep it as a duplicate of this one.
 Please advise.
Comment 38 John Brown 2009-04-22 17:03:33 EDT
The patch Jaroslav mentions in comment #29 does not appear to have the changes requested in comment #1 of bug #473949 (which was marked as a duplicate of this bug).  Perhaps I am overlooking the changes?

As with comment #37 above, I can either re-open #473949 or we can just keep it as a duplicate of this one.  Please advise.
Comment 39 Jaroslav Kysela 2009-04-23 10:18:48 EDT
John, do you really tested the kernel on mentioned hardware? These lines should cover all 0x103c/0x17xx values:

        SND_PCI_QUIRK_MASK(0x103c, 0xff00, 0x1700, "HP xw series",
                           ALC262_HP_BPC),
Comment 40 Jaroslav Kysela 2009-04-23 11:39:14 EDT
Created attachment 340959 [details]
Fix snd_pci_quirk_lookup() function
Comment 41 Jaroslav Kysela 2009-04-23 11:41:44 EDT
I found the problem - the function snd_pci_quirk_lookup() was not extended to handle subdevice_mask . The patch in comment#40 address this issue.
Comment 42 John Brown 2009-04-23 11:59:30 EDT
Thanks, Jaroslav - glad you found the problem.  If possible I would prefer to wait until there is a kernel RPM with the fix.  Please advise on when that will be available.
Comment 43 Jaroslav Kysela 2009-04-23 13:30:24 EDT
Created attachment 340973 [details]
Second patch for snd_pci_quirk_lookup() problem
Comment 44 Don Zickus 2009-04-27 13:53:52 EDT
Moving back to POST to pick up the fix.
Comment 45 Don Zickus 2009-05-06 13:16:13 EDT
in kernel-2.6.18-144.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 49 Chris Ward 2009-06-14 19:18:34 EDT
Partners, 

This particular request is of a notably high priority. In order to prepare make the most of this Alpha release, please report back initial test results before the scheduled Beta drop. That way if you encounter any issues, we can work to get additional corrections in before we launch our Public Beta release. Speak with your Partner Manager for additional dates and information. Thank you for your cooperation in this effort.
Comment 50 Chris Ward 2009-06-14 19:20:22 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 51 Peter Martuccelli 2009-07-02 10:55:46 EDT
*** Bug 478353 has been marked as a duplicate of this bug. ***
Comment 52 Chris Ward 2009-07-03 14:22:48 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 53 John Brown 2009-07-07 11:10:18 EDT
HP has verified that 5.4 alpha includes this fix.
Comment 54 Chris Lalancette 2009-07-09 08:26:16 EDT
*** Bug 501314 has been marked as a duplicate of this bug. ***
Comment 57 errata-xmlrpc 2009-09-02 04:25:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.